Package oracle.sql.json

## Enum OracleJsonParser.Event

- java.lang.Object
- - java.lang.Enum<OracleJsonParser.Event>
  - - oracle.sql.json.OracleJsonParser.Event

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OracleJsonParser.Event>`

Enclosing interface:
  OracleJsonParser

    public static enum OracleJsonParser.Event
    extends java.lang.Enum<OracleJsonParser.Event>

### Enum Constant Summary

Enum Constants
`END_ARRAY`
`END_OBJECT`
`KEY_NAME`
`START_ARRAY`
`START_OBJECT`
`VALUE_BINARY`
`VALUE_DATE`
`VALUE_DECIMAL`
`VALUE_DOUBLE`
`VALUE_FALSE`
`VALUE_FLOAT`
`VALUE_INTERVALDS`
`VALUE_INTERVALYM`
`VALUE_NULL`
`VALUE_STRING`
`VALUE_TIMESTAMP`
`VALUE_TIMESTAMPTZ`
`VALUE_TRUE`
`VALUE_VECTOR`

### Method Summary

All Methods Static Methods Concrete Methods
`static OracleJsonParser.Event` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OracleJsonParser.Event[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### START_ARRAY

    public static final OracleJsonParser.Event START_ARRAY

#### START_OBJECT

    public static final OracleJsonParser.Event START_OBJECT

#### KEY_NAME

    public static final OracleJsonParser.Event KEY_NAME

#### VALUE_STRING

    public static final OracleJsonParser.Event VALUE_STRING

#### VALUE_DECIMAL

    public static final OracleJsonParser.Event VALUE_DECIMAL

#### VALUE_DOUBLE

    public static final OracleJsonParser.Event VALUE_DOUBLE

#### VALUE_FLOAT

    public static final OracleJsonParser.Event VALUE_FLOAT

#### VALUE_BINARY

    public static final OracleJsonParser.Event VALUE_BINARY

#### VALUE_TIMESTAMP

    public static final OracleJsonParser.Event VALUE_TIMESTAMP

#### VALUE_TIMESTAMPTZ

    public static final OracleJsonParser.Event VALUE_TIMESTAMPTZ

#### VALUE_DATE

    public static final OracleJsonParser.Event VALUE_DATE

#### VALUE_INTERVALYM

    public static final OracleJsonParser.Event VALUE_INTERVALYM

#### VALUE_INTERVALDS

    public static final OracleJsonParser.Event VALUE_INTERVALDS

#### VALUE_TRUE

    public static final OracleJsonParser.Event VALUE_TRUE

#### VALUE_FALSE

    public static final OracleJsonParser.Event VALUE_FALSE

#### VALUE_NULL

    public static final OracleJsonParser.Event VALUE_NULL

#### VALUE_VECTOR

    public static final OracleJsonParser.Event VALUE_VECTOR

#### END_OBJECT

    public static final OracleJsonParser.Event END_OBJECT

#### END_ARRAY

    public static final OracleJsonParser.Event END_ARRAY

### Method Detail

#### values

    public static OracleJsonParser.Event[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OracleJsonParser.Event c : OracleJsonParser.Event.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OracleJsonParser.Event valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null